USE [master]
GO
/****** Object:  Database [PRUEBA3]    Script Date: 29-11-2018 3:24:40 ******/
CREATE DATABASE [PRUEBA3]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'PRUEBA3', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.MSSQLSERVER\MSSQL\DATA\PRUEBA3.mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'PRUEBA3_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.MSSQLSERVER\MSSQL\DATA\PRUEBA3_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
GO
ALTER DATABASE [PRUEBA3] SET COMPATIBILITY_LEVEL = 140
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [PRUEBA3].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [PRUEBA3] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [PRUEBA3] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [PRUEBA3] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [PRUEBA3] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [PRUEBA3] SET ARITHABORT OFF 
GO
ALTER DATABASE [PRUEBA3] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [PRUEBA3] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [PRUEBA3] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [PRUEBA3] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [PRUEBA3] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [PRUEBA3] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [PRUEBA3] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [PRUEBA3] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [PRUEBA3] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [PRUEBA3] SET  ENABLE_BROKER 
GO
ALTER DATABASE [PRUEBA3] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [PRUEBA3] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [PRUEBA3] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [PRUEBA3] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [PRUEBA3] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [PRUEBA3] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [PRUEBA3] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [PRUEBA3] SET RECOVERY FULL 
GO
ALTER DATABASE [PRUEBA3] SET  MULTI_USER 
GO
ALTER DATABASE [PRUEBA3] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [PRUEBA3] SET DB_CHAINING OFF 
GO
ALTER DATABASE [PRUEBA3] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [PRUEBA3] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO
ALTER DATABASE [PRUEBA3] SET DELAYED_DURABILITY = DISABLED 
GO
EXEC sys.sp_db_vardecimal_storage_format N'PRUEBA3', N'ON'
GO
ALTER DATABASE [PRUEBA3] SET QUERY_STORE = OFF
GO
USE [PRUEBA3]
GO
/****** Object:  Table [dbo].[EMPLEADO]    Script Date: 29-11-2018 3:24:40 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EMPLEADO](
	[RUN_DV] [nvarchar](18) NOT NULL,
	[NOMBRES] [nvarchar](60) NOT NULL,
	[APELLIDO_PAT] [nvarchar](60) NOT NULL,
	[APELLIDO_MAT] [nvarchar](60) NOT NULL,
	[TIPO_EMPLEADO_ID] [int] NOT NULL,
	[TELEFONO] [numeric](9, 0) NULL,
	[REMUNERACION_BRUTA] [numeric](9, 0) NULL,
	[FECHA_NACIMIENTO] [datetime] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[RUN_DV] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TIPO_EMPLEADO]    Script Date: 29-11-2018 3:24:40 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TIPO_EMPLEADO](
	[CODIGO] [int] NOT NULL,
	[NOMBRE] [nvarchar](80) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[CODIGO] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[USUARIO]    Script Date: 29-11-2018 3:24:40 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[USUARIO](
	[USERNAME] [nvarchar](30) NOT NULL,
	[PASSWORD] [nvarchar](30) NOT NULL,
	[NOMBRES] [nvarchar](90) NOT NULL,
	[APELLIDOS] [nvarchar](90) NOT NULL,
	[PERFIL] [char](1) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[USERNAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
INSERT [dbo].[EMPLEADO] ([RUN_DV], [NOMBRES], [APELLIDO_PAT], [APELLIDO_MAT], [TIPO_EMPLEADO_ID], [TELEFONO], [REMUNERACION_BRUTA], [FECHA_NACIMIENTO]) VALUES (N'151515-8', N'Marco', N'Lazo', N'Contreras', 4, CAST(5555 AS Numeric(9, 0)), CAST(2569 AS Numeric(9, 0)), CAST(N'2018-11-26T00:00:00.000' AS DateTime))
INSERT [dbo].[EMPLEADO] ([RUN_DV], [NOMBRES], [APELLIDO_PAT], [APELLIDO_MAT], [TIPO_EMPLEADO_ID], [TELEFONO], [REMUNERACION_BRUTA], [FECHA_NACIMIENTO]) VALUES (N'187261813', N'Daniela ', N'Melo', N'Pailaguaique', 4, CAST(5555 AS Numeric(9, 0)), CAST(2569 AS Numeric(9, 0)), CAST(N'2018-11-29T00:00:00.000' AS DateTime))
INSERT [dbo].[TIPO_EMPLEADO] ([CODIGO], [NOMBRE]) VALUES (1, N'Vendedor')
INSERT [dbo].[TIPO_EMPLEADO] ([CODIGO], [NOMBRE]) VALUES (2, N'Reponedor')
INSERT [dbo].[TIPO_EMPLEADO] ([CODIGO], [NOMBRE]) VALUES (3, N'Supervisor')
INSERT [dbo].[TIPO_EMPLEADO] ([CODIGO], [NOMBRE]) VALUES (4, N'Gerente')
INSERT [dbo].[USUARIO] ([USERNAME], [PASSWORD], [NOMBRES], [APELLIDOS], [PERFIL]) VALUES (N'AGUZMAN', N'123456', N'ANDREA', N'GUZMAN TORO', N'U')
INSERT [dbo].[USUARIO] ([USERNAME], [PASSWORD], [NOMBRES], [APELLIDOS], [PERFIL]) VALUES (N'MTAPIA', N'123456', N'MARIA', N'TAPIA DÍAZ', N'A')
ALTER TABLE [dbo].[EMPLEADO]  WITH CHECK ADD FOREIGN KEY([TIPO_EMPLEADO_ID])
REFERENCES [dbo].[TIPO_EMPLEADO] ([CODIGO])
GO
USE [master]
GO
ALTER DATABASE [PRUEBA3] SET  READ_WRITE 
GO
